Download it now!
Bug 51772 - general I/O error when opening a RTF file
Summary: general I/O error when opening a RTF file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.0.beta3
Hardware: All All
: medium critical
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.7.0 target:3.6.0
Keywords: regression
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-07-06 00:26 UTC by Jean-Baptiste Faure
Modified: 2012-07-20 13:04 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bugdoc with general I/O error with beta3 (644.71 KB, application/rtf)
2012-07-06 00:26 UTC, Jean-Baptiste Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2012-07-06 00:26:52 UTC
Created attachment 63877 [details]
bugdoc with general I/O error with beta3

Step to reproduce:
- open the attached bugdoc with LO 3.5 or LO 3.6.0.0beta2 : OK
- open it with LO 3.6.0.0beta3 or master : general I/O error

So regression between beta2 and beta3.

Tested under Ubuntu 11.10 x86_64 with gnome-shell and Ubuntu 10.04 x86

Best regards. JBF
Comment 1 pierre-yves samyn 2012-07-06 00:35:23 UTC
I confirm with Windows 7 64bits & Version 3.6.0.0.beta3 (Build ID: 3e2b862)
Comment 2 Jorendc 2012-07-06 09:03:33 UTC
Reproducable under Mac OSX 10.7.4; LO 3.6.0 beta 3 (Build ID: 3e2b862)
Comment 3 Roman Eisele 2012-07-10 08:21:34 UTC
REPRODUCIBLE with LibreOffice 3.6.0.0.beta3 (Build ID: 3e2b862), German langpack installed, on MacOS X 10.6.8 German. As stated by Jean-Baptiste Faure, beta 2 opens the sample RTF file without problems, so this is really a regression in beta 3 against beta 2.

Changed the Platform picker according to comments (a real cross-platform bug).
Comment 4 Roman Eisele 2012-07-10 08:27:10 UTC
Hello Miklos,

can you please take a look at this RTF issue? It is a regression in 3.6 beta 3 against beta 2 and looks critical; it seems probable that it will affect other files, too.

Thank you very much in advance!
Comment 5 Caolán McNamara 2012-07-19 21:52:08 UTC
git bisect suggests...


a9c9567b2431b6b1c4c8cf0aa0565ae2def63da is the first bad commit
commit 7a9c9567b2431b6b1c4c8cf0aa0565ae2def63da
Author: Miklos Vajna <vmiklos@suse.cz>
Date:   Tue Jun 19 09:28:28 2012 +0100

    n#758883 dmapper: paragraph-level run props should affect numberings as well
    
    Change-Id: I707105f6da53a6cb790d743738875acde561e20f

:040000 040000 cff127bd29436cfb61d786e9357128b3ec118b05 cfa4b295679ac329d4caa670ad5e0821d71f0335 M	writerfilter

and reverting that does indeed make it work
Comment 6 Not Assigned 2012-07-19 22:49:11 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0daa92026d95a113cf29619aa1aaebfef65b7ce6

Resolves: fdo#51772 failure to import a specific .rtf file
Comment 7 Caolán McNamara 2012-07-19 22:53:16 UTC
caolanm->vmiklos: can you have a look at that commit, and tweak it if necessary and propose/cherry-pick to 3-6[-0] etc.
Comment 8 Not Assigned 2012-07-20 12:17:26 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5586159e46d5f38e322c88459e1e7beed8133161&g=libreoffice-3-6

Resolves: fdo#51772 failure to import a specific .rtf file


It will be available in LibreOffice 3.6.1.
Comment 9 Not Assigned 2012-07-20 13:04:23 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7002d8eadad748486765c2f00d3aed0f9652b987&g=libreoffice-3-6-0

Resolves: fdo#51772 failure to import a specific .rtf file


It will be available already in LibreOffice 3.6.0.